
setupnpipe= "\\PIPE\\TVHPRC"

void FAR InitInternationalPipe( void FAR  *pParam )
{
   //if(!setup.listen_npipe) return;
   //if()
   
   HPIPE pph;
   //HEV hev; hevNPipe
   char buf[8192];
   ULONG ulBytes, ulReset;
   APIRET rc;
   BOOL null_suspend=0;
   int null_ok=0;

   //DosSleep(3000);
   

   if(!setupnpipe || strlen(setupnpipe)<6) goto fail;
   
   rc= DosCreateNPipe(setupnpipe,
                        &pph,
                        NP_ACCESS_DUPLEX,
                        NP_NOWAIT | NP_WMESG | NP_RMESG | 0x01,
                        4096,
                        4096,
                        0);

   if(rc) goto fail;
                        
   //  //NP_NOWAIT|NP_TYPE_BYTE|NP_READMODE_BYTE|0x01,
   // NP_NOWAIT| NP_TYPE_MESSAGE |
   //fprintf(log1, "NPIPE1: rc: %d\n", rc );

   //fprintf(log1, "NPIPE2: rc: %d\n", rc );

   rc=DosSetNPipeSem(pph, (HSEM) hevNPipe, 1);
   //fprintf(log1, "NPIPE3: rc: %d\n", rc );


   while(1) {

      rc=DosConnectNPipe(pph);
      fprintf(log1, "NPIPE4: rc: %d\n", rc );
      
      fprintf(log1, "Waiting..\n");
      //DosBeep(300,300);

      rc=DosWaitEventSem( hevNPipe, SEM_INDEFINITE_WAIT );
      if(quiting) break;
      
      fprintf(log1, "NPIPE5: rc: %d\n", rc );

      rc=DosRead(pph, buf, 8192, &ulBytes);
      if(ulBytes && ulBytes<8192) {
         buf[ulBytes]=0;

         fprintf(log1, "Message received: (%s)\n", buf);
         ExecuteCommand(buf, &null_suspend, &null_ok);
      }
      
      DosResetEventSem( hevNPipe, &ulReset );

      //  ⠢ ?
      //if(!setup.listen_npipe) break;
      
      DosDisConnectNPipe(pph);
   }
      

   DosClose(pph);

fail:
   fprintf(log1, "pipe thread closed\n");
}
